org.jboss.jca.common.metadata.ds

## Class DatasourcesImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.ds.DatasourcesImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.ds.DataSources, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata

      public class DatasourcesImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.ds.DataSources

  A DatasourcesImpl.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.ds.DataSources

      `org.jboss.jca.common.api.metadata.ds.DataSources.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatasourcesImpl(java.util.List<org.jboss.jca.common.api.metadata.ds.DataSource> datasource, java.util.List<org.jboss.jca.common.api.metadata.ds.XaDataSource> xaDataSource, java.util.Map<java.lang.String,org.jboss.jca.common.api.metadata.ds.Driver> drivers)` Create a new DatasourcesImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.List<org.jboss.jca.common.api.metadata.ds.DataSource>` | `getDataSource()` Get the datasource.
    `org.jboss.jca.common.api.metadata.ds.Driver` | `getDriver(java.lang.String name)` Get the driver with given name
    `java.util.List<org.jboss.jca.common.api.metadata.ds.Driver>` | `getDrivers()` Get the list of drivers
    `java.util.List<org.jboss.jca.common.api.metadata.ds.XaDataSource>` | `getXaDataSource()` Get the xaDataSource.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `void` | `validate()` Validate this metadata according validation required by specification

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DatasourcesImpl

          public DatasourcesImpl(java.util.List<org.jboss.jca.common.api.metadata.ds.DataSource> datasource,
                                 java.util.List<org.jboss.jca.common.api.metadata.ds.XaDataSource> xaDataSource,
                                 java.util.Map<java.lang.String,org.jboss.jca.common.api.metadata.ds.Driver> drivers)
                          throws org.jboss.jca.common.api.validator.ValidateException

      Create a new DatasourcesImpl.
      Parameters:
        `datasource` - datasource
        `xaDataSource` - xaDataSource
        `drivers` - drivers
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

  - ### Method Detail

    - #### getDataSource

          public final java.util.List<org.jboss.jca.common.api.metadata.ds.DataSource> getDataSource()

      Get the datasource.
      Specified by:
        `getDataSource` in interface `org.jboss.jca.common.api.metadata.ds.DataSources`
      Returns:
        the datasource.

    - #### getXaDataSource

          public final java.util.List<org.jboss.jca.common.api.metadata.ds.XaDataSource> getXaDataSource()

      Get the xaDataSource.
      Specified by:
        `getXaDataSource` in interface `org.jboss.jca.common.api.metadata.ds.DataSources`
      Returns:
        the xaDataSource.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.jboss.jca.common.api.validator.ValidateException

      Description copied from interface: `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Validate this metadata according validation required by specification
      Specified by:
        `validate` in interface `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case of validation fail

    - #### getDriver

          public org.jboss.jca.common.api.metadata.ds.Driver getDriver(java.lang.String name)

      Description copied from interface: `org.jboss.jca.common.api.metadata.ds.DataSources`
      Get the driver with given name
      Specified by:
        `getDriver` in interface `org.jboss.jca.common.api.metadata.ds.DataSources`
      Parameters:
        `name` - driver's name
      Returns:
        the driver wit given name.

    - #### getDrivers

          public java.util.List<org.jboss.jca.common.api.metadata.ds.Driver> getDrivers()

      Description copied from interface: `org.jboss.jca.common.api.metadata.ds.DataSources`
      Get the list of drivers
      Specified by:
        `getDrivers` in interface `org.jboss.jca.common.api.metadata.ds.DataSources`
      Returns:
        the list of drivers.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)